summaryrefslogtreecommitdiffstats
path: root/network/gnubiff
diff options
context:
space:
mode:
author Michael Wagner <lapinours@web.de>2010-05-11 15:01:28 +0200
committer Robby Workman <rworkman@slackbuilds.org>2010-05-11 15:01:28 +0200
commit557baff128bdce0fdc485c15f1be1f99e60004c9 (patch)
treee1c828c0095d86d80b3e34590059dff7339f5964 /network/gnubiff
parent2d46527920bd5408525b2818b9120697ef57bc0a (diff)
downloadslackbuilds-557baff128bdce0fdc485c15f1be1f99e60004c9.tar.gz
slackbuilds-557baff128bdce0fdc485c15f1be1f99e60004c9.tar.xz
network/gnubiff: Initial import
Diffstat (limited to 'network/gnubiff')
-rw-r--r--network/gnubiff/README9
-rw-r--r--network/gnubiff/gnubiff.SlackBuild107
-rw-r--r--network/gnubiff/gnubiff.info8
-rw-r--r--network/gnubiff/slack-desc19
4 files changed, 143 insertions, 0 deletions
diff --git a/network/gnubiff/README b/network/gnubiff/README
new file mode 100644
index 0000000000..e8e47a96a2
--- /dev/null
+++ b/network/gnubiff/README
@@ -0,0 +1,9 @@
+Gnubiff (GTK+2 mail notification program)
+
+Gnubiff is a mail notification program that checks for mail and
+displays headers when new mail has arrived.
+
+For further information see 'man 1 gnubiff' and 'info gnubiff'.
+
+Also, if you have gamin (and optional dependency) installed, be
+sure to look at the build script for how to enable it.
diff --git a/network/gnubiff/gnubiff.SlackBuild b/network/gnubiff/gnubiff.SlackBuild
new file mode 100644
index 0000000000..4770fd2db3
--- /dev/null
+++ b/network/gnubiff/gnubiff.SlackBuild
@@ -0,0 +1,107 @@
+#!/bin/sh
+
+# Slackware build script for gnubiff
+
+# (C) 2007 Michael Wagner <lapinours@web.de>
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR ''AS IS'' AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+# Modified by the SlackBuilds.org project
+
+PRGNAM=gnubiff
+VERSION=2.2.6
+ARCH=${ARCH:-i486}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+GAMIN=${GAMIN:-NO}
+# Slackware 11.0 does not include gamin; however, if you have it installed,
+# change the variable above or run this build script with the following command:
+# GAMIN=YES ./gnubiff.SlackBuild
+
+DOCS="ABOUT-NLS AUTHORS BUGS COPYING ChangeLog INSTALL LICENSE NEWS README THANKS TODO"
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+fi
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP || exit 1
+rm -rf $PRGNAM-$VERSION
+tar -xzvf $CWD/$PRGNAM-$VERSION.tar.gz || exit 1
+cd $PRGNAM-$VERSION || exit 1
+chown -R root:root .
+chmod -R u+w,go+r-w,a-s .
+
+# If GAMIN=YES above, then enable gamin/fam usage; otherwise, disable it.
+if [ "$GAMIN" = "YES" ]; then
+ do_fam="en"
+ else
+ do_fam="dis"
+fi
+
+CFLAGS="$SLKCFLAGS" \
+CXXFLAGS="$SLKCFLAGS" \
+./configure \
+ --prefix=/usr \
+ --mandir=/usr/man \
+ --infodir=/usr/info \
+ --disable-gnome \
+ --${do_fam}able-fam \
+ --with-password \
+ --program-prefix="" \
+ --build=$ARCH-slackware-linux \
+ || exit 1
+
+make || exit 1
+make install DESTDIR=$PKG || exit 1
+
+( cd $PKG
+ find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
+ find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
+)
+
+( cd $PKG/usr/man
+ find . -name "*.?" -type f 2> /dev/null | xargs gzip -9 2> /dev/null
+ for i in $(find . -type l) ; do ln -s $(readlink $i).gz $i.gz ; rm $i ; done
+)
+
+gzip -9 $PKG/usr/info/*.info*
+rm -f $PKG/usr/info/dir
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a $DOCS $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+chmod 644 $PKG/usr/doc/$PRGNAM-$VERSION/*
+
+# Didn't I say --disable-gnome?
+rm -rf $PKG/usr/lib $PKG/usr/share/gnome-2.0
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.tgz
diff --git a/network/gnubiff/gnubiff.info b/network/gnubiff/gnubiff.info
new file mode 100644
index 0000000000..dea5e240f3
--- /dev/null
+++ b/network/gnubiff/gnubiff.info
@@ -0,0 +1,8 @@
+PRGNAM="gnubiff"
+VERSION="2.2.6"
+HOMEPAGE="http://gnubiff.sourceforge.net"
+DOWNLOAD="http://prdownloads.sourceforge.net/gnubiff/gnubiff-2.2.6.tar.gz"
+MD5SUM="b6c2580b7b2b73cddafdc1fdcedcfde2"
+MAINTAINER="Michael Wagner"
+EMAIL="lapinours@web.de"
+APPROVED="rworkman"
diff --git a/network/gnubiff/slack-desc b/network/gnubiff/slack-desc
new file mode 100644
index 0000000000..ac16df418d
--- /dev/null
+++ b/network/gnubiff/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+
+ |-----handy-ruler------------------------------------------------------|
+gnubiff: gnubiff (GTK+2 mail notification program)
+gnubiff:
+gnubiff: gnubiff is a mail notification program that checks for mail and
+gnubiff: displays headers when new mail has arrived.
+gnubiff:
+gnubiff: Homepage: http://gnubiff.sourceforge.net
+gnubiff:
+gnubiff:
+gnubiff:
+gnubiff:
+gnubiff: